DEFINE TEMP-TABLE tt1
    FIELD f1 AS INTEGER
    FIELD f2 AS INTEGER
    FIELD f3 AS INTEGER
    INDEX idx1 f1 f2 f3.

DEFINE TEMP-TABLE tt2
    FIELD f1 AS INTEGER
    FIELD f2 AS INTEGER
    FIELD f3 AS INTEGER
    INDEX idx1 f1 f2.

DEFINE VARIABLE iIter AS INTEGER NO-UNDO.
DO iIter = 1 TO 3.
    CREATE tt1.
    tt1.f1 = iIter.
    tt1.f2 = (iIter * 5) MODULO 4.
    tt1.f3 = (iIter * 10) MODULO 9.
END.
    
DO iIter = 4 TO 6.
    CREATE tt2.
    tt2.f1 = iIter.
    tt2.f2 = (iIter * 5) MODULO 4.
    tt2.f3 = (iIter * 10) MODULO 9.
END.

DEFINE VARIABLE srch AS HANDLE.
DEFINE VARIABLE desth AS HANDLE.
srch = TEMP-TABLE tt1:HANDLE.
desth = TEMP-TABLE tt2:HANDLE.

desth:COPY-TEMP-TABLE(srch, YES).
MESSAGE "tt1 to tt2".
FOR EACH tt2.
    MESSAGE tt2.f1 tt2.f2 tt2.f3.
END.